dwi_mask_bad_slices(1)

NAME
dwi_mask_bad_slices - Find bad slices in set of diffusion-weighted images.

SYNOPSIS
dwi_mask_bad_slices DiffusionImagePaths

DESCRIPTION
This tool reads a set of 3D diffusion-weighted MR images and finds bad slices. A bad slice in a diffusion image is detected as one whose mean intensity is outside a specified interval around the mean of the means of all corresponding slices from the remaining diffusion images.

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Input Options

--b0count <integer>
    Number of b=0 images at the beginning of the image list. These are not included in the bad slice detection or masking, but are also written to the output directory for convenience. It is assumed that all b=0 images are at the beginning of the list of input images, but not at the end or in the middle. [Default: 0]

--slice-orientation
    Define slice orientation of the diffusion images. Supported values: "axial", "sagittal", "coronal", "slice-x", "slice-y", "slice-z", where the default is "axial", or use one of the following:

    --axial
        Axial slices [This is the default]

    --sagittal
        Sagittal slices

    --coronal
        Coronal slices

    --slice-x
        X coordinate axis is slice direction

    --slice-y
        Y coordinate axis is slice direction

    --slice-z
        Z coordinate axis is slice direction [This is the default]

  Bad Slice Detection

--stdev <double>
    Threshold for bad slice identification in units of intensity standard deviations over all corresponding slices from the remaining diffusion images. [Default: 3]

  Output Options

--convert-to
    Scalar data type for the output images. If your padding value is negative but your input data unsigned, for example, make sure to select a signed data type for the output. By default, the output data type is the same as the input type. Supported values: "char", "byte", "short", "ushort", "int", "uint", "float", "double", or use one of the following:

    --char
        8 bits, signed

    --byte
        8 bits, unsigned

    --short
        16 bits, signed

    --ushort
        16 bits, unsigned

    --int
        32 bits signed

    --uint
        32 bits unsigned

    --float
        32 bits floating point

    --double
        64 bits floating point

--padding-value <double>, -p <double>
    Padding value to replace data of detected bad slices in output images. [Default: -1]

--bad-slice-statistics <string>, -s <string>
    CSV file capturing the slice number and distance of bad slices. [Default: NONE]

--output-directory <string>, -o <string>
    File system path for writing images with bad slices masked out (i.e., filled with a padding value). [Default: NONE]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.